# $Id: python-pexpect.spec 4303 2006-04-18 22:05:03Z dries $
# Authority: dag

%define python_sitelib %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib()')

%define real_name pexpect

Summary: Python Expect-like module
Name: python-pexpect
Version: 2.1
Release: 1.rf
License: Python Software Foundation License
Group: Development/Libraries
URL: http://pexpect.sourceforge.net/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://dl.sf.net/pexpect/pexpect-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: python-devel >= 2.0

Obsoletes: pexpect <= %{version}-%{release}
Provides: pexpect = %{version}-%{release}

%description
Pexpect is a pure Python module for spawning child applications; controlling
them; and responding to expected patterns in their output.

Pexpect can be used for automating interactive applications such as ssh, ftp,
passwd, telnet, etc. It can be used to a automate setup scripts for duplicating
software package installations on different servers. It can be used for
automated software testing.

%prep
%setup -n %{real_name}-%{version}

%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root="%{buildroot}" --prefix="%{_prefix}"

### Clean up docs
%{__mv} -f ANSI.py FSM.py screen.py examples/
find examples/ -type f -exec %{__chmod} a-x {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc LICENSE README doc/ examples/
%{python_sitelib}/fdpexpect.py
%{python_sitelib}/fdpexpect.pyc
%ghost %{python_sitelib}/fdpexpect.pyo
%{python_sitelib}/pexpect.py
%{python_sitelib}/pexpect.pyc
%ghost %{python_sitelib}/pexpect.pyo
%{python_sitelib}/pxssh.py
%{python_sitelib}/pxssh.pyc
%ghost %{python_sitelib}/pxssh.pyo

%changelog
* Sat Sep 22 2007 Dag Wieers <dag@wieers.com> - 2.1-1 - 4303+/dries
- Updated to release 2.1.

* Sun Nov 27 2005 Dag Wieers <dag@wieers.com> - 2.0-1
- Initial package. (using DAR)
